Subject: Re: bug#24357: pure guile program leaks memory
From: Andy Wingo <[email-masked]>
To: Amirouche Boubekki <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 10:06:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon 12 Sep 2016 19:47, Amirouche Boubekki <[email-masked]> writes:

> On 2016-09-03 20:49, Amirouche Boubekki wrote:
>> On 2016-09-03 11:54, Andy Wingo wrote:
>>> On Sat 03 Sep 2016 09:20, Amirouche Boubekki
>>> <[email-masked]> writes:
>>>
>>>> Using guile 2.1.3, I have a program that:
>>>>
>>>> - reads urls from a text file
>>>> - download the urls using curl command via popen
>>>> - output the result to stdout
>>>>
>>>> Also, it relies on n-for-each-par-map for ice-9 threads.
>>>
>>> Can you reduce it please?  For example, remove the use of threads.
>>>
>>
>> Ok. I removed threads and only download the same url over and over
>> again.
>>
>> Here is the error I get on stdout:
>>
>>    (23) Failed writing body
>
> Internet says this a curl issue. Please close this bug.

No problem.  For reference, in the future just add "-done" after the bug
number in the mail, as I did above.  Cheers :)

Andy